Bug 999813 - [Usability] Cancel operation is ignored when flushing JMS destination metrics in the management console
Summary: [Usability] Cancel operation is ignored when flushing JMS destination metrics...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER9
: EAP 6.3.0
Assignee: Harald Pehl
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1003533
TreeView+ depends on / blocked
 
Reported: 2013-08-22 07:48 UTC by Osamu Nagano
Modified: 2018-12-02 15:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss EAP 6.1.0 and 6.1.1, before flushing a JMS destination via the web management console, a confirmation dialog was shown, requesting confirmation of the action. Regardless of the user's reply, the JMS destination *was* flushed. The root cause of this issue was that the result of the confirmation prompt was ignored. This issue has now been resolved and the JMS destination is only flushed if the confirmation dialog was closed with "OK".
Clone Of:
Environment:
Last Closed: 2014-08-06 14:37:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1921 Major Resolved Cancel operation is ignored when flushing JMS destination metrics in the management console 2014-07-24 07:29:06 UTC

Description Osamu Nagano 2013-08-22 07:48:44 UTC
Description of problem:
When you push "Flush" button on JMS Destinations runtime tab (both of queues and topics), a confirmation dialog box brings up. "Cancel" button in the dialog box is always ignored and destination flushing is inevitably executed.


Steps to Reproduce:
1. Launch a standalone-full.xml instance.
2. Create a queue, helloworld-jms quickstart is sufficient.
3. In the management console, go to "Runtime > JMS Destinations > Queues" tab.
4. Select the queue and push "Flush".
5. Push "Cancel" in the dialog.
6. "Cancel" is ignored and messages are flushed.


Additional info:
"remove-messages" operation in CLI is the equivalent one.  So possible workaround will be something like as follows.
/subsystem=messaging/hornetq-server=default/jms-queue=testQueue:remove-messages()

Comment 1 JBoss JIRA Server 2013-08-22 08:07:38 UTC
Osamu Nagano <onagano@redhat.com> made a comment on jira WFLY-1921

{{isConfirmed}} is ignored in the {{onConfirmation()}} method.  The same in {{TopicMetrics.java}}.
[https://github.com/jbossas/console/blob/develop/gui/src/main/java/org/jboss/as/console/client/shared/runtime/jms/QueueMetrics.java#L180]
{code:java}
    176                 Feedback.confirm("Flush Queue", "Do you really want to flush queue "+queue.getName(),
    177                         new Feedback.ConfirmationHandler(){
    178                             @Override
    179                             public void onConfirmation(boolean isConfirmed) {
    180                                 presenter.onFlushQueue(queue);
    181                             }
    182                         });
{code}

Comment 2 Osamu Nagano 2013-08-23 03:18:18 UTC
This bug can be critical, a message lost, but easy to fix.  Shouldn't we rush this into EAP 6.1.1?

Comment 3 Jakub Cechacek 2013-08-23 09:09:12 UTC
I seriously doubt that lack of confirmation dialog is critical. It is certainly confusing and thus should be properly documented. 6.1.1 is in ER8 should go straight to GA. I will propose this fix to 6.2.0

If you would have decided to perform this operation from let's say CLI, you would have to do so without confirmation message. Another workaround would bo to close configrmation dialog with the X button in upport right corner.

Comment 4 Heiko Braun 2013-08-23 09:14:24 UTC
I agree with Jakub, I would consider this to be a critical bug.

Comment 6 Heiko Braun 2013-08-23 09:15:25 UTC
meant to say: ... would not

Comment 8 Jakub Cechacek 2013-09-26 12:00:35 UTC
Confirmation dialog is still broken. This is an important usability issue promised to be addressed in 6.2.0. Thus setting higher severity and proposing a blocker.

Comment 9 Jakub Cechacek 2013-09-26 12:10:46 UTC
I apologize for last comment. The verification was done against ER2. 
The issue as described in this report is fixed in ER3 (hal 2.0.0.Final) 


Verified 6.2.0.ER3

Comment 11 JBoss JIRA Server 2013-12-05 13:02:42 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira WFLY-1921 to Resolved

Comment 12 JBoss JIRA Server 2013-12-05 13:02:42 UTC
Harald Pehl <hpehl@redhat.com> made a comment on jira WFLY-1921

Fixed in upstream. Will be part of WF 8 and EAP 6.2.CP0a.

Comment 13 Martin Velas 2014-07-08 15:10:35 UTC
Was this functionality removed in EAP 6.3.0 from webconsole? There is no such option in Configuraion > Messaging > Destinations > Queues.

Comment 14 Martin Velas 2014-07-10 10:21:11 UTC
Verified for EAP 6.3.0.ER9 (messages are flushed only when Flush is Confirmed).

Comment 15 Scott Mumford 2014-07-17 04:17:13 UTC
Making public for inclusion in 6.3.0 Release Notes.


Note You need to log in before you can comment on or make changes to this bug.